Subject: Re: bug#55883: [PATCH] Update X Primary Selection with active regions

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 22 Jun 2022 18:37:24 +0300

Duncan Findlay [2022-06-21 18:58 -0700] wrote:

> I'm wondering if the attached patch would have worked too?

Its downside is that the variable can then be defined in more than one
place, with potentially different/out-of-sync values, depending on load
order.  This makes debugging and maintenance a bit harder.  Using
bound-and-true-p would have achieved the same effect while keeping the
user option squarely defined in a single place.  But Eli's patch
generalises even further.

Thanks,

-- 
Basil